/*****************************************************************************/
#ifndef LINE_IN_USER_H
#define LINE_IN_USER_H
/*****************************************************************************/
#include "TYW_stdint.h"
#include "string.h"
#include "Line_In.h"
/*****************************************************************************/

LINE_IN_TriggerLevel_en_t LINE_IN_Get_FluidLevel(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_BrakeFault(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_ChargeWake(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_SeatDetection(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_LeftDoor(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_SeatBelt(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_Parking(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_RightDoor(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_FrontFog(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_RearFog(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_TrunLeft(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_Position(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_TrunRight(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_LoBeam(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_HiBeam(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_PTO(void);
LINE_IN_TriggerLevel_en_t LINE_IN_Get_ABS(void);

#endif
